February 2008: Rail Simulator Developments have released Upgrade Mk1, which is a recommended update for all users, and introduces a number of improvements and bug fixes to the core software engine.


Note: The upgrade will reset the scenarios to the initial ones supplied with Rail Simulator. Users of the RSDevTools may wish to check the Rail Simulator website for details of how to create a backup of custom scenarios so they can be re-installed in to Rail Simulator after the update has been installed.


If you are experiencing any issues installing Upgrade Mk1, such as "The installed version is not compatible" the reason for this is that the RailSim.exe file has changed from the one that was installed. In this instance we recommend uninstalling Rail Simulator, and then reinstalling it from the original setup files (On DVD or download from EA) before attempting to install the Upgrade Mk1 patch.